Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ExportComplexRelationsToExcelRequest

Object
ExportComplexRelationsRequest
ExportComplexRelationsToExcelRequest

All Implemented Interfaces:
  `Serializable`

public class ExportComplexRelationsToExcelRequest extends ExportComplexRelationsRequest implements Serializable
Request for exporting a view to Excel.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ExportComplexRelationsToExcelRequest.Builder`

- ## Field Summary

  ### Fields inherited from class ExportComplexRelationsRequest

  `complexRelationTypeId, domainId, fileName, includeHeaderRow, removeFormatting, storeAsAttachment, supportRoundtrip`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExportComplexRelationsToExcelRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExportComplexRelationsToExcelRequest.Builder`
  `anExportComplexRelationsToExcelRequest()`
  Deprecated.
  This method will be removed in the future.
  `static ExportComplexRelationsToExcelRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getSheetName()`
  The name of the sheet
  `int`
  `hashCode()`
  `boolean`
  `isXlsx()`
  Deprecated.
  The parameter will be removed.
  `void`
  `setSheetName(String sheetName)`
  The name of the sheet
  `void`
  `setXlsx(boolean xlsx)`
  Deprecated.
  The parameter will be removed.
  `String`
  `toString()`

  ### Methods inherited from class ExportComplexRelationsRequest

  `getComplexRelationTypeId, getDomainId, getFileName, isIncludeHeaderRow, isRemoveFormatting, isStoreAsAttachment, isSupportRoundtrip, setComplexRelationTypeId, setDomainId, setFileName, setIncludeHeaderRow, setRemoveFormatting, setStoreAsAttachment, setSupportRoundtrip`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExportComplexRelationsToExcelRequest

    public ExportComplexRelationsToExcelRequest()

- ## Method Details

  - ### anExportComplexRelationsToExcelRequest

    @Deprecated public static ExportComplexRelationsToExcelRequest.Builder anExportComplexRelationsToExcelRequest()
    Deprecated.
    This method will be removed in the future. Please use `builder()`

  - ### builder

    public static ExportComplexRelationsToExcelRequest.Builder builder()

  - ### getSheetName

    public String getSheetName()
    The name of the sheet

  - ### isXlsx

    @Deprecated public boolean isXlsx()
    Deprecated.
    The parameter will be removed. In the future only XLSX files will be supported.
    Set if the Excel file to export will be '.xlsx' file (`true`) or a '.xls' file (`false`) Default value is (`true`)

  - ### setSheetName

    public void setSheetName(String sheetName)
    The name of the sheet

  - ### setXlsx

    @Deprecated public void setXlsx(boolean xlsx)
    Deprecated.
    The parameter will be removed. In the future only XLSX files will be supported.
    Set if the Excel file to export will be '.xlsx' file (`true`) or a '.xls' file (`false`) Default value is (`true`)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `ExportComplexRelationsRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `ExportComplexRelationsRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ExportComplexRelationsRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ExportComplexRelationsRequest`